Preview a transform
- POST also GET /_transform/{transform_id}/_preview
- POST also GET /_transform/_preview
Generates a preview of the results that you will get when you create a transform with the same configuration.
It returns a maximum of 100 results. The calculations are based on all the current data in the source index. It also generates a list of mappings and settings for the destination index. These values are determined based on the field types of the source index and the transform aggregations.
Required privileges
- Index privileges read view_index_metadata
- Cluster privileges manage_transform
Request body
-
destobject -
The destination for the transform.
-
indexstring -
The destination index for the transform. The mappings of the destination index are deduced based on the source fields when possible. If alternate mappings are required, use the create index API prior to starting the transform.
-
aliasesobject[] -
The aliases that the destination index for the transform should have. Aliases are manipulated using the stored credentials of the transform, which means the secondary credentials supplied at creation time (if both primary and secondary credentials are specified).
The destination index is added to the aliases regardless of whether the destination index was created by the transform or pre-created by the user.
-
move_on_creationboolean · default: false -
Whether the destination index should be the only index in this alias. If
true, all the other indices will be removed from this alias before adding the destination index to this alias. This does not delete the removed indices; it only removes them from the alias. -
frequencystring · default: 1m -
The interval between checks for changes in the source indices when the transform is running continuously. Also determines the retry interval in the event of transient failures while the transform is searching or indexing. The minimum value is 1s and the maximum is 1h.
-
pivotobject -
The pivot method transforms the data by aggregating and grouping it. These objects define the group by fields and the aggregation to reduce the data.
-
aggregationsmap string to {} Aggregation -
Defines how to aggregate the grouped data. The following aggregations are currently supported: average, bucket script, bucket selector, cardinality, filter, geo bounds, geo centroid, geo line, max, median absolute deviation, min, missing, percentiles, rare terms, scripted metric, stats, sum, terms, top metrics, value count, weighted average.
-
group_bymap string to object -
Defines how to group the data. More than one grouping can be defined per pivot. The following groupings are currently supported: date histogram, geotile grid, histogram, terms.
-
<string>object · min properties: 1 · max properties: 1 -
date_histogramobject -
calendar_intervalenum -
Calendar-aware interval. Can be specified using the unit name, such as
month, or as a single unit quantity, such as1M. -
Values:
second1sminute1mhour1hday1dweek1wmonth1Mquarter1qyear1y -
fixed_intervalstring -
Fixed intervals: a fixed number of SI units and never deviate, regardless of where they fall on the calendar.
-
formatstring -
The date format used to format
key_as_stringin the response. If noformatis specified, the first date format specified in the field mapping is used. -
min_doc_countnumber -
Only returns buckets that have
min_doc_countnumber of documents. By default, all buckets between the first bucket that matches documents and the last one are returned. -
missingunion oneOf -
The value to apply to documents that do not have a value. By default, documents without a value are ignored.
-
One of:
stringornumber -
offsetstring -
Changes the start value of each bucket by the specified positive (
+) or negative offset (-) duration. -
orderunion oneOf -
The sort order of the returned buckets.
-
One of:
string to enum[]orstring to enum -
geotile_gridobject -
fieldstring -
Field containing indexed
geo_pointorgeo_shapevalues. If the field contains an array,geotile_gridaggregates all array values. -
precisionnumber · default: 7 -
Integer zoom of the key used to define cells/buckets in the results. Values outside of the range [0,29] will be rejected.
-
shard_sizenumber -
Allows for more accurate counting of the top cells returned in the final result the aggregation. Defaults to returning
max(10,(size x number-of-shards))buckets from each shard. -
histogramobject -
hard_boundsobject -
Limits the range of buckets in the histogram. It is particularly useful in the case of open data ranges that can result in a very large number of buckets.
-
min_doc_countnumber -
Only returns buckets that have
min_doc_countnumber of documents. By default, the response will fill gaps in the histogram with empty buckets. -
missingnumber -
The value to apply to documents that do not have a value. By default, documents without a value are ignored.
-
offsetnumber -
By default, the bucket keys start with 0 and then continue in even spaced steps of
interval. The bucket boundaries can be shifted by using theoffsetoption. -
termsobject -
collect_modeenum -
Determines how child aggregations should be calculated: breadth-first or depth-first.
Supported values include:
depth_first: Expands all branches of the aggregation tree in one depth-first pass, before any pruning occurs.breadth_first: Caches the set of documents that fall into the uppermost buckets for subsequent replay.
-
Values:
depth_firstbreadth_first -
excludeunion oneOf -
Values to exclude. Accepts regular expressions and partitions.
-
One of:
string[]orstring -
execution_hintenum -
Determines whether the aggregation will use field values directly or global ordinals.
-
Values:
mapglobal_ordinalsglobal_ordinals_hashglobal_ordinals_low_cardinality -
min_doc_countnumber · default: 1 -
Only return values that are found in more than
min_doc_counthits. -
missingboolean | number | string -
The value to apply to documents that do not have a value. By default, documents without a value are ignored.
-
orderunion oneOf -
Specifies the sort order of the buckets. Defaults to sorting by descending document count.
-
One of:
string to enum[]orstring to enum -
shard_min_doc_countnumber -
Regulates the certainty a shard has if the term should actually be added to the candidate list or not with respect to the
min_doc_count. Terms will only be considered if their local shard frequency within the set is higher than theshard_min_doc_count. -
shard_sizenumber -
The number of candidate terms produced by each shard. By default,
shard_sizewill be automatically estimated based on the number of shards and thesizeparameter. -
sourceobject -
The source of the data for the transform.
-
indexunion oneOfrequired -
The source indices for the transform. It can be a single index, an index pattern (for example,
"my-index-*""), an array of indices (for example,["my-index-000001", "my-index-000002"]), or an array of index patterns (for example,["my-index-*", "my-other-index-*"]. For remote indices use the syntax"remote_name:index_name". If any indices are in remote clusters then the master node and at least one transform node must have theremote_cluster_clientnode role. -
One of:
string[]orstring -
settingsobject -
Defines optional transform settings.
-
align_checkpointsboolean · default: true -
Specifies whether the transform checkpoint ranges should be optimized for performance. Such optimization can align checkpoint ranges with the date histogram interval when date histogram is specified as a group source in the transform config. As a result, less document updates in the destination index will be performed thus improving overall performance.
-
dates_as_epoch_millisboolean · default: false -
Defines if dates in the output should be written as ISO formatted string or as millis since epoch. epoch_millis was the default for transforms created before version 7.11. For compatible output set this value to
true. -
deduce_mappingsboolean · default: true -
Specifies whether the transform should deduce the destination index mappings from the transform configuration.
-
docs_per_secondnumber -
Specifies a limit on the number of input documents per second. This setting throttles the transform by adding a wait time between search requests. The default value is null, which disables throttling.
-
max_page_search_sizenumber -
Defines the initial page size to use for the composite aggregation for each checkpoint. If circuit breaker exceptions occur, the page size is dynamically adjusted to a lower value. The minimum value is
10and the maximum is65,536. The default value is500forpivottransforms and5000forlatesttransforms. -
use_point_in_timeboolean · default: true -
Specifies whether the transform checkpoint will use the Point In Time API while searching over the source index. In general, Point In Time is an optimization that will reduce pressure on the source index by reducing the amount of refreshes and merges, but it can be expensive if a large number of Point In Times are opened and closed for a given index. The benefits and impact depend on the data being searched, the ingest rate into the source index, and the amount of other consumers searching the same source index.
- Reference
-
num_failure_retriesnumber -
Defines the number of retries on a recoverable failure before the transform task is marked as
failed. The minimum value is0and the maximum is100, where-1indicates that the transform retries indefinitely. If unset, the cluster-level settingnum_transform_failure_retriesis used.This setting cannot be specified when
unattendedistrue, because unattended transforms always retry indefinitely.
Response
-
generated_dest_indexobjectrequired -
aliasesmap string to object -
<string>object -
filter{} Query -
Query used to limit documents the alias can access.
-
index_routingstring -
Value used to route indexing operations to a specific shard. If specified, this overwrites the
routingvalue for indexing operations. -
mappingsobject -
propertiesmap string to oneOf -
<string>union oneOf -
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
doc_valuesunion oneOf - One of:
-
multi_valueboolean · default: true -
If
false, the field is treated as single-valued, enabling optimized storage. Only has an effect when columnar index mode is active. -
nullabilityboolean · default: true -
If
false, every document must provide a non-null value for the field: a document that omits the field, sets it tonull, or supplies only null values (an empty array or an all-null array) is rejected at index time. A field that definesnull_valueis always exempt, since the configured default removes the absence of a value. Only has an effect when columnar index mode is active. -
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
doc_valuesunion oneOf - One of:
-
multi_valueboolean · default: true -
If
false, the field is treated as single-valued, enabling optimized storage. Only has an effect when columnar index mode is active. -
nullabilityboolean · default: true -
If
false, every document must provide a non-null value for the field: a document that omits the field, sets it tonull, or supplies only null values (an empty array or an all-null array) is rejected at index time. A field that definesnull_valueis always exempt, since the configured default removes the absence of a value. Only has an effect when columnar index mode is active. -
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
doc_valuesunion oneOf - One of:
-
multi_valueboolean · default: true -
If
false, the field is treated as single-valued, enabling optimized storage. Only has an effect when columnar index mode is active. -
nullabilityboolean · default: true -
If
false, every document must provide a non-null value for the field: a document that omits the field, sets it tonull, or supplies only null values (an empty array or an all-null array) is rejected at index time. A field that definesnull_valueis always exempt, since the configured default removes the absence of a value. Only has an effect when columnar index mode is active. -
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
doc_valuesunion oneOf - One of:
-
multi_valueboolean · default: true -
If
false, the field is treated as single-valued, enabling optimized storage. Only has an effect when columnar index mode is active. -
nullabilityboolean · default: true -
If
false, every document must provide a non-null value for the field: a document that omits the field, sets it tonull, or supplies only null values (an empty array or an all-null array) is rejected at index time. A field that definesnull_valueis always exempt, since the configured default removes the absence of a value. Only has an effect when columnar index mode is active. -
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
doc_valuesunion oneOf - One of:
-
multi_valueboolean · default: true -
If
false, the field is treated as single-valued, enabling optimized storage. Only has an effect when columnar index mode is active. -
nullabilityboolean · default: true -
If
false, every document must provide a non-null value for the field: a document that omits the field, sets it tonull, or supplies only null values (an empty array or an all-null array) is rejected at index time. A field that definesnull_valueis always exempt, since the configured default removes the absence of a value. Only has an effect when columnar index mode is active. -
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
doc_valuesunion oneOf - One of:
-
multi_valueboolean · default: true -
If
false, the field is treated as single-valued, enabling optimized storage. Only has an effect when columnar index mode is active. -
nullabilityboolean · default: true -
If
false, every document must provide a non-null value for the field: a document that omits the field, sets it tonull, or supplies only null values (an empty array or an all-null array) is rejected at index time. A field that definesnull_valueis always exempt, since the configured default removes the absence of a value. Only has an effect when columnar index mode is active. -
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
doc_valuesunion oneOf - One of:
-
multi_valueboolean · default: true -
If
false, the field is treated as single-valued, enabling optimized storage. Only has an effect when columnar index mode is active. -
nullabilityboolean · default: true -
If
false, every document must provide a non-null value for the field: a document that omits the field, sets it tonull, or supplies only null values (an empty array or an all-null array) is rejected at index time. A field that definesnull_valueis always exempt, since the configured default removes the absence of a value. Only has an effect when columnar index mode is active. -
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
doc_valuesunion oneOf - One of:
-
multi_valueboolean · default: true -
If
false, the field is treated as single-valued, enabling optimized storage. Only has an effect when columnar index mode is active. -
nullabilityboolean · default: true -
If
false, every document must provide a non-null value for the field: a document that omits the field, sets it tonull, or supplies only null values (an empty array or an all-null array) is rejected at index time. A field that definesnull_valueis always exempt, since the configured default removes the absence of a value. Only has an effect when columnar index mode is active. -
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
dimsnumber -
Number of vector dimensions. Can't exceed
4096. Ifdimsis not specified, it will be set to the length of the first vector added to the field. -
element_typeenum · default: float -
The data type used to encode vectors. The supported data types are
float(default),byte, andbit.Supported values include:
bit: Indexes a single bit per dimension. Useful for very high-dimensional vectors or models that specifically support bit vectors.
Notewhen using
bit, the number of dimensions must be a multiple of8and must represent the number of bits.byte: Indexes a 1-byte integer value per dimension.float: Indexes a 4-byte floating-point value per dimension.bfloat16: Indexes a 2-byte floating-point value per dimension.
-
Values:
bitbytefloatbfloat16 -
index_optionsobject -
An optional section that configures the kNN indexing algorithm. The HNSW algorithm has two internal parameters that influence how the data structure is built. These can be adjusted to improve the accuracy of results, at the expense of slower indexing speed.
This parameter can only be specified when
indexistrue. -
confidence_intervalnumberdeprecated -
The confidence interval to use when quantizing the vectors. Can be any value between and including
0.90and1.0or exactly0. When the value is0, this indicates that dynamic quantiles should be calculated for optimized quantization. When between0.90and1.0, this value restricts the values used when calculating the quantization thresholds.For example, a value of
0.95will only use the middle95%of the values when calculating the quantization thresholds (e.g. the highest and lowest2.5%of values will be ignored).Defaults to
1/(dims + 1)forint8quantized vectors and0forint4for dynamic quantile calculation.Only applicable to
int8_hnsw,int4_hnsw,int8_flat, andint4_flatindex types. -
ef_constructionnumber · default: 100 -
The number of candidates to track while assembling the list of nearest neighbors for each new node.
Only applicable to
hnsw,int8_hnsw,bbq_hnsw, andint4_hnswindex types. -
mnumber · default: 16 -
The number of neighbors each node will be connected to in the HNSW graph.
Only applicable to
hnsw,int8_hnsw,bbq_hnsw, andint4_hnswindex types. -
typeenumrequired -
The type of kNN algorithm to use.
Supported values include:
bbq_flat: This utilizes a brute-force search algorithm in addition to automatically quantizing to binary vectors. Only supportselement_typeoffloat.bbq_hnsw: This utilizes the HNSW algorithm in addition to automatic binary quantization for scalable approximate kNN search withelement_typeoffloat.
This can reduce the memory footprint by nearly 32x at the cost of some accuracy.
bbq_disk: This utilizes the DiskBBQ algorithm, a version of Inverted Vector File (IVF) that uses BBQ to quantize vectors. Only supportselement_typeoffloat.
This not only significantly reduces memory usage, but also allows for indexing and searching of very large datasets that do not fit in memory. Unlike HNSW, this index type loses performance gracefully as the index grows larger than memory.
flat: This utilizes a brute-force search algorithm for exact kNN search. This supports allelement_typevalues.hnsw: This utilizes the HNSW algorithm for scalable approximate kNN search. This supports allelement_typevalues.int4_flat: This utilizes a brute-force search algorithm in addition to automatically half-byte scalar quantization. Only supportselement_typeoffloat.int4_hnsw: This utilizes the HNSW algorithm in addition to automatically scalar quantization for scalable approximate kNN search withelement_typeoffloat.
This can reduce the memory footprint by 8x at the cost of some accuracy.
int8_flat: This utilizes a brute-force search algorithm in addition to automatically scalar quantization. Only supportselement_typeoffloat.int8_hnsw: The default index type forfloatvectors. This utilizes the HNSW algorithm in addition to automatically scalar quantization for scalable approximate kNN search withelement_typeoffloat.
This can reduce the memory footprint by 4x at the cost of some accuracy.
-
Values:
bbq_flatbbq_hnswbbq_diskflathnswint4_flatint4_hnswint8_flatint8_hnsw -
rescore_vectorobject -
The rescore vector options. This is only applicable to
bbq_disk,bbq_hnsw,int4_hnsw,int8_hnsw,bbq_flat,int4_flat, andint8_flatindex types. -
oversamplenumberrequired -
The oversampling factor to use when searching for the nearest neighbor. This is only applicable to the quantized formats:
bbq_*,int4_*, andint8_*. When provided,oversample * kvectors will be gathered and then their scores will be re-computed with the original vectors.valid values are between
1.0and10.0(inclusive), or0exactly to disable oversampling. -
on_disk_rescoreboolean · default: false -
trueif vector rescoring should be done on-diskOnly applicable to
bbq_disk,bbq_hnsw,int4_hnsw,int8_hnsw -
flat_index_thresholdnumber · default: -1 -
The segment document count threshold below which HNSW graph construction is skipped in favor of brute-force flat search.
-1(default) defers to format defaults:300forbbq_hnsw,150forhnsw,int8_hnsw, andint4_hnsw.0always builds the graph. A positive value overrides the format default.Only applicable to
hnsw,int8_hnsw,int4_hnsw,bbq_hnsw, andbbq_diskindex types. -
cluster_sizenumber · default: 384 -
Only applicable to
bbq_disk. The number of vectors per cluster. Must be between 64 and 65536. -
default_visit_percentagenumber · default: 0 -
Only applicable to
bbq_disk. The percentage of clusters to visit during search. Must be between 0 and 100. A value of 0 defaults to usingnum_candidatesfor calculating the visit percentage. -
bitsnumber · default: 1 -
Only applicable to
bbq_disk. The number of bits per dimension for quantization encoding. Valid values are1,2,4, or7. When norescore_vectoris explicitly set, the default oversampling is automatically adjusted based on the bits value. This setting can be changed without reindexing. -
preconditionboolean · default: false -
Only applicable to
bbq_disk. Whentrue, transforms indexed vectors using a random orthogonal projection before quantization, which can improve accuracy when vector components are not normally distributed. Cannot be changed after the field is created. -
auto_calibrateboolean · default: false -
Only applicable to
bbq_disk. Whentrue, Elasticsearch automatically selects the optimal quantization encoding, oversampling factor, and preconditioning for each merged segment based on estimated recall characteristics. Cannot be changed after the field is created. -
similarityenum -
The vector similarity metric to use in kNN search.
Documents are ranked by their vector field's similarity to the query vector. The
_scoreof each document will be derived from the similarity, in a way that ensures scores are positive and that a larger score corresponds to a higher ranking.Defaults to
l2_normwhenelement_typeisbitotherwise defaults tocosine.bitvectors only supportl2_normas their similarity metric.This parameter can only be specified when
indexistrue.Supported values include:
cosine: Computes the cosine similarity. During indexing Elasticsearch automatically normalizes vectors withcosinesimilarity to unit length. This allows to internally usedot_productfor computing similarity, which is more efficient. Original un-normalized vectors can be still accessed through scripts.
The document
_scoreis computed as(1 + cosine(query, vector)) / 2.The
cosinesimilarity does not allow vectors with zero magnitude, since cosine is not defined in this case.dot_product: Computes the dot product of two unit vectors. This option provides an optimized way to perform cosine similarity. The constraints and computed score are defined byelement_type.
When
element_typeisfloat, all vectors must be unit length, including both document and query vectors.The document
_scoreis computed as(1 + dot_product(query, vector)) / 2.When
element_typeisbyte, all vectors must have the same length including both document and query vectors or results will be inaccurate.The document
_scoreis computed as0.5 + (dot_product(query, vector) / (32768 * dims))wheredimsis the number of dimensions per vector.l2_norm: Computes similarity based on theL2distance (also known as Euclidean distance) between the vectors.
The document
_scoreis computed as1 / (1 + l2_norm(query, vector)^2).For
bitvectors, instead of usingl2_norm, thehammingdistance between the vectors is used.The
_scoretransformation is(numBits - hamming(a, b)) / numBits.max_inner_product: Computes the maximum inner product of two vectors. This is similar todot_product, but doesn't require vectors to be normalized. This means that each vector’s magnitude can significantly effect the score.
The document
_scoreis adjusted to prevent negative values. Formax_inner_productvalues< 0, the_scoreis1 / (1 + -1 * max_inner_product(query, vector)). For non-negativemax_inner_productresults the_scoreis calculatedmax_inner_product(query, vector) + 1. -
Values:
cosinedot_productl2_normmax_inner_product -
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
inference_idstring · default: .jina-embeddings-v5-text-small -
Inference endpoint that will be used to generate embeddings for the field. This parameter cannot be updated. Use the Create inference API to create the endpoint. If
search_inference_idis specified, the inference endpoint will only be used at index time. If theinference_idis not specified, it will default to.jina-embeddings-v5-text-smallif the cluster is authorized to use the Elastic Inference Service, otherwise it will default to.elser-2-elasticsearch. The.elser-2-elasticsearchinference endpoint relies on a local ML node to run the ELSER model. -
search_inference_idstring -
Inference endpoint that will be used to generate embeddings at query time. You can update this parameter by using the Update mapping API. Use the Create inference API to create the endpoint. If not specified, the inference endpoint defined by inference_id will be used at both index and query time.
-
index_optionsobject -
Settings for index_options that override any defaults used by semantic_text, for example specific quantization settings.
-
dense_vectorobject -
Same fields as
index_optionsintype: dense_vector -
sparse_vectorobject -
pruneboolean -
Whether to perform pruning, omitting the non-significant tokens from the query to improve query performance. If prune is true but the pruning_config is not specified, pruning will occur but default values will be used. Default: false
-
pruning_configobject -
Optional pruning configuration. If enabled, this will omit non-significant tokens from the query in order to improve query performance. This is only used if prune is set to true. If prune is set to true but pruning_config is not specified, default values will be used.
-
chunking_settingsunion oneOfnullable -
Settings for chunking text into smaller passages. If specified, these will override the chunking settings sent in the inference endpoint associated with inference_id. If chunking settings are updated, they will not be applied to existing documents until they are reindexed.
- One of:
-
strategystring · default: sentencerequired -
The chunking strategy:
sentence,word,noneorrecursive.- If
strategyis set torecursive, you must also specify:
max_chunk_size- either
separatorsorseparator_group
Learn more about different chunking strategies in the linked documentation.
- If
- Reference
-
max_chunk_sizenumber · default: 250required -
The maximum size of a chunk in words. This value cannot be lower than
20(forsentencestrategy) or10(forwordstrategy). This value should not exceed the window size for the associated model. -
overlapnumber · default: 100 -
The number of overlapping words for chunks. It is applicable only to a
wordchunking strategy. This value cannot be higher than half themax_chunk_sizevalue. -
sentence_overlapnumber · default: 1 -
The number of overlapping sentences for chunks. It is applicable only for a
sentencechunking strategy. It can be either1or0. -
separator_groupstring -
Only applicable to the
recursivestrategy and required when using it.Sets a predefined list of separators in the saved chunking settings based on the selected text type. Values can be
markdownorplaintext.Using this parameter is an alternative to manually specifying a custom
separatorslist. -
separatorsstring[] -
Only applicable to the
recursivestrategy and required when using it.A list of strings used as possible split points when chunking text.
Each string can be a plain string or a regular expression (regex) pattern. The system tries each separator in order to split the text, starting from the first item in the list.
After splitting, it attempts to recombine smaller pieces into larger chunks that stay within the
max_chunk_sizelimit, to reduce the total number of chunks generated. -
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
index_optionsobject -
Additional index options for the sparse vector field that controls the token pruning behavior of the sparse vector field.
-
pruneboolean -
Whether to perform pruning, omitting the non-significant tokens from the query to improve query performance. If prune is true but the pruning_config is not specified, pruning will occur but default values will be used. Default: false
-
pruning_configobject -
Optional pruning configuration. If enabled, this will omit non-significant tokens from the query in order to improve query performance. This is only used if prune is set to true. If prune is set to true but pruning_config is not specified, default values will be used.
-
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
doc_valuesunion oneOf - One of:
-
multi_valueboolean · default: true -
If
false, the field is treated as single-valued, enabling optimized storage. Only has an effect when columnar index mode is active. -
nullabilityboolean · default: true -
If
false, every document must provide a non-null value for the field: a document that omits the field, sets it tonull, or supplies only null values (an empty array or an all-null array) is rejected at index time. A field that definesnull_valueis always exempt, since the configured default removes the absence of a value. Only has an effect when columnar index mode is active. -
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
doc_valuesunion oneOf - One of:
-
multi_valueboolean · default: true -
If
false, the field is treated as single-valued, enabling optimized storage. Only has an effect when columnar index mode is active. -
nullabilityboolean · default: true -
If
false, every document must provide a non-null value for the field: a document that omits the field, sets it tonull, or supplies only null values (an empty array or an all-null array) is rejected at index time. A field that definesnull_valueis always exempt, since the configured default removes the absence of a value. Only has an effect when columnar index mode is active. -
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
doc_valuesunion oneOf - One of:
-
multi_valueboolean · default: true -
If
false, the field is treated as single-valued, enabling optimized storage. Only has an effect when columnar index mode is active. -
nullabilityboolean · default: true -
If
false, every document must provide a non-null value for the field: a document that omits the field, sets it tonull, or supplies only null values (an empty array or an all-null array) is rejected at index time. A field that definesnull_valueis always exempt, since the configured default removes the absence of a value. Only has an effect when columnar index mode is active. -
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
doc_valuesunion oneOf - One of:
-
multi_valueboolean · default: true -
If
false, the field is treated as single-valued, enabling optimized storage. Only has an effect when columnar index mode is active. -
nullabilityboolean · default: true -
If
false, every document must provide a non-null value for the field: a document that omits the field, sets it tonull, or supplies only null values (an empty array or an all-null array) is rejected at index time. A field that definesnull_valueis always exempt, since the configured default removes the absence of a value. Only has an effect when columnar index mode is active. -
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
doc_valuesunion oneOf - One of:
-
multi_valueboolean · default: true -
If
false, the field is treated as single-valued, enabling optimized storage. Only has an effect when columnar index mode is active. -
nullabilityboolean · default: true -
If
false, every document must provide a non-null value for the field: a document that omits the field, sets it tonull, or supplies only null values (an empty array or an all-null array) is rejected at index time. A field that definesnull_valueis always exempt, since the configured default removes the absence of a value. Only has an effect when columnar index mode is active. -
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
doc_valuesunion oneOf - One of:
-
multi_valueboolean · default: true -
If
false, the field is treated as single-valued, enabling optimized storage. Only has an effect when columnar index mode is active. -
nullabilityboolean · default: true -
If
false, every document must provide a non-null value for the field: a document that omits the field, sets it tonull, or supplies only null values (an empty array or an all-null array) is rejected at index time. A field that definesnull_valueis always exempt, since the configured default removes the absence of a value. Only has an effect when columnar index mode is active. -
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
doc_valuesunion oneOf - One of:
-
multi_valueboolean · default: true -
If
false, the field is treated as single-valued, enabling optimized storage. Only has an effect when columnar index mode is active. -
nullabilityboolean · default: true -
If
false, every document must provide a non-null value for the field: a document that omits the field, sets it tonull, or supplies only null values (an empty array or an all-null array) is rejected at index time. A field that definesnull_valueis always exempt, since the configured default removes the absence of a value. Only has an effect when columnar index mode is active. -
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
doc_valuesunion oneOf - One of:
-
multi_valueboolean · default: true -
If
false, the field is treated as single-valued, enabling optimized storage. Only has an effect when columnar index mode is active. -
nullabilityboolean · default: true -
If
false, every document must provide a non-null value for the field: a document that omits the field, sets it tonull, or supplies only null values (an empty array or an all-null array) is rejected at index time. A field that definesnull_valueis always exempt, since the configured default removes the absence of a value. Only has an effect when columnar index mode is active. -
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
doc_valuesunion oneOf - One of:
-
multi_valueboolean · default: true -
If
false, the field is treated as single-valued, enabling optimized storage. Only has an effect when columnar index mode is active. -
nullabilityboolean · default: true -
If
false, every document must provide a non-null value for the field: a document that omits the field, sets it tonull, or supplies only null values (an empty array or an all-null array) is rejected at index time. A field that definesnull_valueis always exempt, since the configured default removes the absence of a value. Only has an effect when columnar index mode is active. -
time_series_metricenum -
For internal use by Elastic only. Marks the field as a time series dimension. Defaults to false.
-
Values:
gaugecountersummaryhistogramposition -
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
doc_valuesunion oneOf - One of:
-
multi_valueboolean · default: true -
If
false, the field is treated as single-valued, enabling optimized storage. Only has an effect when columnar index mode is active. -
nullabilityboolean · default: true -
If
false, every document must provide a non-null value for the field: a document that omits the field, sets it tonull, or supplies only null values (an empty array or an all-null array) is rejected at index time. A field that definesnull_valueis always exempt, since the configured default removes the absence of a value. Only has an effect when columnar index mode is active. -
time_series_metricenum -
For internal use by Elastic only. Marks the field as a time series dimension. Defaults to false.
-
Values:
gaugecountersummaryhistogramposition -
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
doc_valuesunion oneOf - One of:
-
multi_valueboolean · default: true -
If
false, the field is treated as single-valued, enabling optimized storage. Only has an effect when columnar index mode is active. -
nullabilityboolean · default: true -
If
false, every document must provide a non-null value for the field: a document that omits the field, sets it tonull, or supplies only null values (an empty array or an all-null array) is rejected at index time. A field that definesnull_valueis always exempt, since the configured default removes the absence of a value. Only has an effect when columnar index mode is active. -
time_series_metricenum -
For internal use by Elastic only. Marks the field as a time series dimension. Defaults to false.
-
Values:
gaugecountersummaryhistogramposition -
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
doc_valuesunion oneOf - One of:
-
multi_valueboolean · default: true -
If
false, the field is treated as single-valued, enabling optimized storage. Only has an effect when columnar index mode is active. -
nullabilityboolean · default: true -
If
false, every document must provide a non-null value for the field: a document that omits the field, sets it tonull, or supplies only null values (an empty array or an all-null array) is rejected at index time. A field that definesnull_valueis always exempt, since the configured default removes the absence of a value. Only has an effect when columnar index mode is active. -
time_series_metricenum -
For internal use by Elastic only. Marks the field as a time series dimension. Defaults to false.
-
Values:
gaugecountersummaryhistogramposition -
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
doc_valuesunion oneOf - One of:
-
multi_valueboolean · default: true -
If
false, the field is treated as single-valued, enabling optimized storage. Only has an effect when columnar index mode is active. -
nullabilityboolean · default: true -
If
false, every document must provide a non-null value for the field: a document that omits the field, sets it tonull, or supplies only null values (an empty array or an all-null array) is rejected at index time. A field that definesnull_valueis always exempt, since the configured default removes the absence of a value. Only has an effect when columnar index mode is active. -
time_series_metricenum -
For internal use by Elastic only. Marks the field as a time series dimension. Defaults to false.
-
Values:
gaugecountersummaryhistogramposition -
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
doc_valuesunion oneOf - One of:
-
multi_valueboolean · default: true -
If
false, the field is treated as single-valued, enabling optimized storage. Only has an effect when columnar index mode is active. -
nullabilityboolean · default: true -
If
false, every document must provide a non-null value for the field: a document that omits the field, sets it tonull, or supplies only null values (an empty array or an all-null array) is rejected at index time. A field that definesnull_valueis always exempt, since the configured default removes the absence of a value. Only has an effect when columnar index mode is active. -
time_series_metricenum -
For internal use by Elastic only. Marks the field as a time series dimension. Defaults to false.
-
Values:
gaugecountersummaryhistogramposition -
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
doc_valuesunion oneOf - One of:
-
multi_valueboolean · default: true -
If
false, the field is treated as single-valued, enabling optimized storage. Only has an effect when columnar index mode is active. -
nullabilityboolean · default: true -
If
false, every document must provide a non-null value for the field: a document that omits the field, sets it tonull, or supplies only null values (an empty array or an all-null array) is rejected at index time. A field that definesnull_valueis always exempt, since the configured default removes the absence of a value. Only has an effect when columnar index mode is active. -
time_series_metricenum -
For internal use by Elastic only. Marks the field as a time series dimension. Defaults to false.
-
Values:
gaugecountersummaryhistogramposition -
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
doc_valuesunion oneOf - One of:
-
multi_valueboolean · default: true -
If
false, the field is treated as single-valued, enabling optimized storage. Only has an effect when columnar index mode is active. -
nullabilityboolean · default: true -
If
false, every document must provide a non-null value for the field: a document that omits the field, sets it tonull, or supplies only null values (an empty array or an all-null array) is rejected at index time. A field that definesnull_valueis always exempt, since the configured default removes the absence of a value. Only has an effect when columnar index mode is active. -
time_series_metricenum -
For internal use by Elastic only. Marks the field as a time series dimension. Defaults to false.
-
Values:
gaugecountersummaryhistogramposition -
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
doc_valuesunion oneOf - One of:
-
multi_valueboolean · default: true -
If
false, the field is treated as single-valued, enabling optimized storage. Only has an effect when columnar index mode is active. -
nullabilityboolean · default: true -
If
false, every document must provide a non-null value for the field: a document that omits the field, sets it tonull, or supplies only null values (an empty array or an all-null array) is rejected at index time. A field that definesnull_valueis always exempt, since the configured default removes the absence of a value. Only has an effect when columnar index mode is active. -
time_series_metricenum -
For internal use by Elastic only. Marks the field as a time series dimension. Defaults to false.
-
Values:
gaugecountersummaryhistogramposition -
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
doc_valuesunion oneOf - One of:
-
multi_valueboolean · default: true -
If
false, the field is treated as single-valued, enabling optimized storage. Only has an effect when columnar index mode is active. -
nullabilityboolean · default: true -
If
false, every document must provide a non-null value for the field: a document that omits the field, sets it tonull, or supplies only null values (an empty array or an all-null array) is rejected at index time. A field that definesnull_valueis always exempt, since the configured default removes the absence of a value. Only has an effect when columnar index mode is active. -
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
doc_valuesunion oneOf - One of:
-
multi_valueboolean · default: true -
If
false, the field is treated as single-valued, enabling optimized storage. Only has an effect when columnar index mode is active. -
nullabilityboolean · default: true -
If
false, every document must provide a non-null value for the field: a document that omits the field, sets it tonull, or supplies only null values (an empty array or an all-null array) is rejected at index time. A field that definesnull_valueis always exempt, since the configured default removes the absence of a value. Only has an effect when columnar index mode is active. -
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
doc_valuesunion oneOf - One of:
-
multi_valueboolean · default: true -
If
false, the field is treated as single-valued, enabling optimized storage. Only has an effect when columnar index mode is active. -
nullabilityboolean · default: true -
If
false, every document must provide a non-null value for the field: a document that omits the field, sets it tonull, or supplies only null values (an empty array or an all-null array) is rejected at index time. A field that definesnull_valueis always exempt, since the configured default removes the absence of a value. Only has an effect when columnar index mode is active. -
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
doc_valuesunion oneOf - One of:
-
multi_valueboolean · default: true -
If
false, the field is treated as single-valued, enabling optimized storage. Only has an effect when columnar index mode is active. -
nullabilityboolean · default: true -
If
false, every document must provide a non-null value for the field: a document that omits the field, sets it tonull, or supplies only null values (an empty array or an all-null array) is rejected at index time. A field that definesnull_valueis always exempt, since the configured default removes the absence of a value. Only has an effect when columnar index mode is active. -
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
doc_valuesunion oneOf - One of:
-
multi_valueboolean · default: true -
If
false, the field is treated as single-valued, enabling optimized storage. Only has an effect when columnar index mode is active. -
nullabilityboolean · default: true -
If
false, every document must provide a non-null value for the field: a document that omits the field, sets it tonull, or supplies only null values (an empty array or an all-null array) is rejected at index time. A field that definesnull_valueis always exempt, since the configured default removes the absence of a value. Only has an effect when columnar index mode is active. -
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
doc_valuesunion oneOf - One of:
-
multi_valueboolean · default: true -
If
false, the field is treated as single-valued, enabling optimized storage. Only has an effect when columnar index mode is active. -
nullabilityboolean · default: true -
If
false, every document must provide a non-null value for the field: a document that omits the field, sets it tonull, or supplies only null values (an empty array or an all-null array) is rejected at index time. A field that definesnull_valueis always exempt, since the configured default removes the absence of a value. Only has an effect when columnar index mode is active. -
synthetic_source_keepenum -
Supported values include:
none: Synthetic source diverges from the original source (default)arrays: Arrays of the corresponding field or object preserve the original element ordering and duplicate elements. The synthetic source fragment for such arrays is not guaranteed to match the original source exactly, e.g. array [1, 2, [5], [[4, [3]]], 5] may appear as-is or in an equivalent format like [1, 2, 5, 4, 3, 5]. The exact format may change in the future, in an effort to reduce the storage overhead of this option.all: The source for both singleton instances and arrays of the corresponding field or object gets recorded. When applied to objects, the source of all sub-objects and sub-fields gets captured. Furthermore, the original source of arrays gets captured and appears in synthetic source with no modifications.
-
Values:
nonearraysall -
doc_valuesunion oneOf - One of:
-
multi_valueboolean · default: true -
If
false, the field is treated as single-valued, enabling optimized storage. Only has an effect when columnar index mode is active. -
nullabilityboolean · default: true -
If
false, every document must provide a non-null value for the field: a document that omits the field, sets it tonull, or supplies only null values (an empty array or an all-null array) is rejected at index time. A field that definesnull_valueis always exempt, since the configured default removes the absence of a value. Only has an effect when columnar index mode is active. -
lifecycleobject -
Data stream lifecycle applicable if this is a data stream.
-
data_retentionstring -
If defined, every document added to this data stream will be stored at least for this time frame. Any time after this duration the document could be deleted. When empty, every document in this data stream will be stored indefinitely.
-
retention_determined_byenum -
Configuration source that can influence the retention of a data stream.
-
Values:
data_stream_configurationdefault_global_retentionmax_global_retentiondefault_failures_retention -
downsamplingobject[] -
The list of downsampling rounds to execute as part of this downsampling configuration
-
downsampling_methodenum -
The method used to downsample the data. There are two options
aggregateandlast_value. It requiresdownsamplingto be defined. Defaults toaggregate. -
Values:
aggregatelast_value
type: binary
Configuration object for doc values when sub-parameters are needed.
type: boolean
Configuration object for doc values when sub-parameters are needed.
type: {dynamic_type}
Configuration object for doc values when sub-parameters are needed.
type: join
type: keyword
Configuration object for doc values when sub-parameters are needed.
type: match_only_text
A variant of text that trades scoring and efficiency of positional queries for space efficiency. This field effectively stores data the same way as a text field that only indexes documents (index_options: docs) and disables norms (norms: false). Term queries perform as fast if not faster as on text fields, however queries that need positions such as the match_phrase query perform slower as they need to look at the _source document to verify whether a phrase matches. All queries return constant scores that are equal to 1.0.
type: percolator
type: rank_feature
type: rank_features
type: search_as_you_type
type: text
type: version
Configuration object for doc values when sub-parameters are needed.
type: wildcard
Configuration object for doc values when sub-parameters are needed.
type: date_nanos
Configuration object for doc values when sub-parameters are needed.
type: date
Configuration object for doc values when sub-parameters are needed.
type: aggregate_metric_double
type: dense_vector
type: flattened
type: nested
type: object
type: passthrough
type: rank_vectors
Technical preview
type: semantic_text
type: sparse_vector
type: completion
Configuration object for doc values when sub-parameters are needed.
type: constant_keyword
type: counted_keyword
type: alias
type: histogram
type: exponential_histogram
type: ip
Configuration object for doc values when sub-parameters are needed.
type: murmur3
Configuration object for doc values when sub-parameters are needed.
type: token_count
Configuration object for doc values when sub-parameters are needed.
type: geo_point
Configuration object for doc values when sub-parameters are needed.
type: geo_shape
The geo_shape data type facilitates the indexing of and searching with arbitrary geo shapes such as rectangles
and polygons.
Configuration object for doc values when sub-parameters are needed.
type: point
Configuration object for doc values when sub-parameters are needed.
type: shape
The shape data type facilitates the indexing of and searching with arbitrary x, y cartesian shapes such as
rectangles and polygons.
Configuration object for doc values when sub-parameters are needed.
type: byte
Configuration object for doc values when sub-parameters are needed.
type: double
Configuration object for doc values when sub-parameters are needed.
type: float
Configuration object for doc values when sub-parameters are needed.
type: half_float
Configuration object for doc values when sub-parameters are needed.
type: integer
Configuration object for doc values when sub-parameters are needed.
type: long
Configuration object for doc values when sub-parameters are needed.
type: scaled_float
Configuration object for doc values when sub-parameters are needed.
type: short
Configuration object for doc values when sub-parameters are needed.
type: unsigned_long
Configuration object for doc values when sub-parameters are needed.
type: date_range
Configuration object for doc values when sub-parameters are needed.
type: double_range
Configuration object for doc values when sub-parameters are needed.
type: float_range
Configuration object for doc values when sub-parameters are needed.
type: integer_range
Configuration object for doc values when sub-parameters are needed.
type: ip_range
Configuration object for doc values when sub-parameters are needed.
type: long_range
Configuration object for doc values when sub-parameters are needed.
type: icu_collation_keyword
Configuration object for doc values when sub-parameters are needed.